<?php
/**
 * Footer template part.
 *
 * @package AMP
 */

/**
 * Context.
 *
 * @var AMP_Post_Template $this
 */

$scheme = csco_color_scheme(
	get_theme_mod( 'color_footer_background', '#000000' ),
	get_theme_mod( 'color_footer_background_dark', '#000000' )
);
?>

<footer class="amp-wp-footer" <?php echo wp_kses( $scheme, 'csco' ); ?>>
	<div class="site-info">
		<?php
		$logo_id = get_theme_mod( 'logo' );
		if ( $logo_id ) {
			?>
			<div class="site-title footer-title">
				<?php csco_get_retina_image( $logo_id, array( 'alt' => get_bloginfo( 'name' ) ), 'amp-img' ); ?>
			</div>
			<?php
		} else {
			?>
			<div class="site-title footer-title"><?php bloginfo( 'name' ); ?></div>
			<?php
		}
		?>

		<?php
		/* translators: %s: Author name. */
		$footer_text = get_theme_mod( 'footer_copyright', sprintf( esc_html__( 'Designed & Developed by %s', 'paper-plane' ), '<a href="' . esc_url( csco_get_theme_data( 'AuthorURI' ) ) . '">Code Supply Co.</a>' ) );
		if ( $footer_text ) {
			?>
			<div class="footer-copyright">
				<?php echo wp_kses( $footer_text, 'csco' ); ?>
			</div>
			<?php
		}
		?>
	</div><!-- .site-info -->
</footer>
