<?php
/**
 * All core theme actions.
 *
 * Please do not modify this file directly.
 * You may remove actions in your child theme by using remove_action().
 *
 * Please see /inc/partials.php for the list of partials,
 * added to actions.
 *
 * @package Paper Plane
 */

/**
 * Body
 */
add_action( 'csco_site_before', 'csco_fullscreen_menu' );

/**
 * Main
 */
add_action( 'csco_site_content_start', 'csco_page_header', 100 );

/**
 * Category
 */
add_action( 'csco_page_header_after', 'csco_subcategories', 10 );

/**
 * Singular
 */
add_action( 'csco_entry_content_before', 'csco_singular_post_type_before', 10 );
add_action( 'csco_entry_content_after', 'csco_singular_post_type_after', 999 );

/**
 * Entry Elements
 */
add_action( 'csco_entry_container_start', 'csco_entry_metabar', 10 );

/**
 * Entry Sections
 */
add_action( 'csco_entry_content_after', 'csco_page_pagination', 10 );

/**
 * Entry Wrap
 */
add_action( 'csco_entry_wrap_end', 'csco_entry_footer', 10 );
add_action( 'csco_entry_wrap_end', 'csco_entry_comments', 20 );

/**
 * Template Page
 */
add_action( 'csco_entry_content_after', 'csco_meet_team', 10 );


/**
 * Entry subscribe and related
 */
add_action( 'csco_site_content_end', 'csco_entry_subscribe', 10 );
add_action( 'csco_site_content_after', 'csco_entry_related', 10 );
