<?php
/**
 * Archive Settings
 *
 * @package Paper Plane
 */

CSCO_Kirki::add_section(
	'archive_settings',
	array(
		'title'    => esc_html__( 'Archive Settings', 'paper-plane' ),
		'priority' => 50,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'multicheck',
		'settings' => 'archive_post_meta',
		'label'    => esc_html__( 'Post Meta', 'paper-plane' ),
		'section'  => 'archive_settings',
		'default'  => array( 'category', 'author', 'date' ),
		'priority' => 10,
		'choices'  => apply_filters(
			'csco_post_meta_choices',
			array(
				'category'     => esc_html__( 'Category', 'paper-plane' ),
				'author'       => esc_html__( 'Author', 'paper-plane' ),
				'date'         => esc_html__( 'Date', 'paper-plane' ),
				'views'        => esc_html__( 'Views', 'paper-plane' ),
				'shares'       => esc_html__( 'Shares', 'paper-plane' ),
				'comments'     => esc_html__( 'Comments', 'paper-plane' ),
				'reading_time' => esc_html__( 'Reading Time', 'paper-plane' ),
			)
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'radio',
		'settings' => 'archive_pagination_type',
		'label'    => esc_html__( 'Pagination', 'paper-plane' ),
		'section'  => 'archive_settings',
		'default'  => 'load-more',
		'priority' => 10,
		'choices'  => array(
			'standard'  => esc_html__( 'Standard', 'paper-plane' ),
			'load-more' => esc_html__( 'Load More Button', 'paper-plane' ),
			'infinite'  => esc_html__( 'Infinite Load', 'paper-plane' ),
		),
	)
);
