<?php
/**
 * Design
 *
 * @package Paper Plane
 */

CSCO_Kirki::add_section(
	'design',
	array(
		'title'    => esc_html__( 'Design', 'paper-plane' ),
		'priority' => 20,
	)
);

/**
 * -------------------------------------------------------------------------
 * Colors
 * -------------------------------------------------------------------------
 */

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'collapsible',
		'settings'    => 'design_collapsible_dark_mode',
		'section'     => 'design',
		'label'       => esc_html__( 'Dark Mode', 'paper-plane' ),
		'priority'    => 10,
		'input_attrs' => array(
			'collapsed' => true,
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'radio',
		'settings' => 'color_scheme',
		'label'    => esc_html__( 'Site Color Scheme', 'paper-plane' ),
		'section'  => 'design',
		'default'  => 'system',
		'choices'  => array(
			'system' => esc_html__( 'User’s system preference', 'paper-plane' ),
			'light'  => esc_html__( 'Light', 'paper-plane' ),
			'dark'   => esc_html__( 'Dark', 'paper-plane' ),
		),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'checkbox',
		'settings' => 'color_scheme_toggle',
		'label'    => esc_html__( 'Enable dark/light mode toggle', 'paper-plane' ),
		'section'  => 'design',
		'default'  => true,
		'priority' => 10,
	)
);

CSCO_Kirki::add_section(
	'design_base',
	array(
		'title'    => esc_html__( 'design', 'paper-plane' ),
		'panel'    => 'design',
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'collapsible',
		'settings'    => 'design_collapsible_common',
		'section'     => 'design',
		'label'       => esc_html__( 'Common', 'paper-plane' ),
		'priority'    => 10,
		'input_attrs' => array(
			'collapsed' => true,
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_site_background',
		'label'    => esc_html__( 'Site Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-site-scheme="default"]',
				'property' => '--cs-color-site-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_header_background',
		'label'    => esc_html__( 'Mobile Header Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-site-scheme="default"]',
				'property' => '--cs-color-header-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_search_menu_background',
		'label'    => esc_html__( 'Menu & Search Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => 'rgba(255,255,255,0.95)',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-site-scheme="default"]',
				'property' => '--cs-color-search-and-menu-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_subscribe_background',
		'label'    => esc_html__( 'Subscribe Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#003be0',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-site-scheme="default"]',
				'property' => '--cs-color-subscribe-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_footer_background',
		'label'    => esc_html__( 'Footer Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-site-scheme="default"]',
				'property' => '--cs-color-footer-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_overlay',
		'label'    => esc_html__( 'Overlay Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => 'rgba(0,0,0,0)',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '.cs-overlay-background',
				'property' => '--cs-color-overlay-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'design',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_link',
		'label'    => esc_html__( 'Post Content Link Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#003be0',
		'context'  => array( 'editor', 'front' ),
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-link',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_link_hover',
		'label'    => esc_html__( 'Post Content Link Hover Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ff4114',
		'context'  => array( 'editor', 'front' ),
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-link-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'design',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_contrast',
		'label'    => esc_html__( 'Button Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-button',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button',
		'label'    => esc_html__( 'Button Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ff4114',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-button-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_border',
		'label'    => esc_html__( 'Button Border Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ff4114',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-button-border',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_hover_contrast',
		'label'    => esc_html__( 'Button Hover Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-button-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_hover',
		'label'    => esc_html__( 'Button Hover Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-button-background-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_border_hover',
		'label'    => esc_html__( 'Button Hover Border Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-button-border-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'design',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_contrast',
		'label'    => esc_html__( 'Load More Button Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-load-more-button',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more',
		'label'    => esc_html__( 'Load More Button Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#161616',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-load-more-button-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_contrast_hover',
		'label'    => esc_html__( 'Load More Button Hover Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-load-more-button-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_hover',
		'label'    => esc_html__( 'Load More Button Hover Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#1c1c1c',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => ':root, [data-scheme="default"]',
				'property' => '--cs-color-load-more-button-background-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

/* Dark Scheme */
CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'collapsible',
		'settings' => 'design_collapsible_dark',
		'section'  => 'design',
		'label'    => esc_html__( 'Dark Scheme', 'paper-plane' ),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_site_background_dark',
		'label'    => esc_html__( 'Site Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#1c1c1c',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-site-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_header_background_dark',
		'label'    => esc_html__( 'Mobile Header Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-header-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_search_menu_background_dark',
		'label'    => esc_html__( 'Menu & Search Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => 'rgba(0,0,0,0.95)',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-search-and-menu-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_subscribe_background_dark',
		'label'    => esc_html__( 'Subscribe Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#003be0',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-subscribe-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_footer_background_dark',
		'label'    => esc_html__( 'Footer Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-footer-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'design',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_link_dark',
		'label'    => esc_html__( 'Post Content Link Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ff4114',
		'context'  => array( 'editor', 'front' ),
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-link',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_link_hover_dark',
		'label'    => esc_html__( 'Post Content Link Hover Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#527ff8',
		'context'  => array( 'editor', 'front' ),
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-site-scheme="dark"]',
				'property' => '--cs-color-link-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'design',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_contrast_dark',
		'label'    => esc_html__( 'Button Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-button',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_dark',
		'label'    => esc_html__( 'Button Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ff4114',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-button-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_border_dark',
		'label'    => esc_html__( 'Button Border Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ff4114',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-button-border',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);


CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_contrast_hover_dark',
		'label'    => esc_html__( 'Button Hover Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-button-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_hover_dark',
		'label'    => esc_html__( 'Button Hover Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-button-background-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_border_hover_dark',
		'label'    => esc_html__( 'Button Hover Border Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#000000',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-button-border-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'design',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_contrast_dark',
		'label'    => esc_html__( 'Load More Button Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-load-more-button',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_dark',
		'label'    => esc_html__( 'Load More Button Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#161616',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-load-more-button-background',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_contrast_hover_dark',
		'label'    => esc_html__( 'Load More Button Hover Color', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#ffffff',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-load-more-button-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'color',
		'settings' => 'color_button_more_hover_dark',
		'label'    => esc_html__( 'Load More Button Hover Background', 'paper-plane' ),
		'section'  => 'design',
		'priority' => 10,
		'default'  => '#1c1c1c',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => array(
			array(
				'element'  => '[data-scheme="dark"]',
				'property' => '--cs-color-load-more-button-background-hover',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'collapsible',
		'settings' => 'design_collapsible_border_radius',
		'section'  => 'design',
		'label'    => esc_html__( 'Border Radius', 'paper-plane' ),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'custom',
		'settings'    => 'design_border_radius_desc',
		'section'     => 'design',
		'description' => esc_html__( 'Here you can change default border radius for Layout Elements, post Thumbnail, Buttons. For example 10px or 50%. If the input is empty, original value will be used.', 'paper-plane' ),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'              => 'dimension',
		'settings'          => 'design_layout elements_border_radius',
		'label'             => esc_html__( 'Layout Elements', 'paper-plane' ),
		'description'       => esc_html__( 'Used on Blockquotes, Block Groups etc.', 'paper-plane' ),
		'section'           => 'design',
		'default'           => '0px',
		'priority'          => 10,
		'sanitize_callback' => 'esc_html',
		'output'            => array(
			array(
				'element'  => ':root',
				'property' => '--cs-layout-elements-border-radius',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'              => 'dimension',
		'settings'          => 'design_button_border_radius',
		'label'             => esc_html__( 'Button Border Radius', 'paper-plane' ),
		'section'           => 'design',
		'default'           => '5px',
		'priority'          => 10,
		'sanitize_callback' => 'esc_html',
		'output'            => array(
			array(
				'element'  => ':root',
				'property' => '--cs-button-border-radius',
				'context'  => array( 'editor', 'front' ),
			),
		),
	)
);
