<?php
/**
 * Header Settings
 *
 * @package Paper Plane
 */

CSCO_Kirki::add_section(
	'header',
	array(
		'title'    => esc_html__( 'Header Settings', 'paper-plane' ),
		'priority' => 40,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'checkbox',
		'settings' => 'header_search_button',
		'label'    => esc_html__( 'Display search button', 'paper-plane' ),
		'section'  => 'header',
		'default'  => true,
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'checkbox',
		'settings' => 'header_fullscreen_menu',
		'label'    => esc_html__( 'Display fullscreen menu toggle button', 'paper-plane' ),
		'section'  => 'header',
		'default'  => true,
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'            => 'text',
		'settings'        => 'fullscreen_menu_copyright_title',
		'label'           => esc_html__( 'Copyright Title', 'paper-plane' ),
		'section'         => 'header',
		'default'         => get_bloginfo(),
		'priority'        => 10,
		'active_callback' => array(
			array(
				'setting'  => 'header_fullscreen_menu',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'              => 'textarea',
		'settings'          => 'fullscreen_menu_copyright_text',
		'label'             => esc_html__( 'Copyright', 'paper-plane' ),
		'section'           => 'header',
		'default'           => get_bloginfo( 'description' ),
		'priority'          => 10,
		'sanitize_callback' => 'csco_kses',
		'active_callback'   => array(
			array(
				'setting'  => 'header_fullscreen_menu',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

/* Social Links */
if ( csco_powerkit_module_enabled( 'social_links' ) ) {

	CSCO_Kirki::add_field(
		'csco_theme_mod',
		array(
			'type'            => 'checkbox',
			'settings'        => 'fullscreen_menu_social_links',
			'label'           => esc_html__( 'Display social links', 'paper-plane' ),
			'section'         => 'header',
			'default'         => false,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'header_fullscreen_menu',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod',
		array(
			'type'            => 'number',
			'settings'        => 'fullscreen_menu_social_links_maximum',
			'label'           => esc_html__( 'Maximum Number of Social Links', 'paper-plane' ),
			'section'         => 'header',
			'default'         => 3,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'fullscreen_menu_social_links',
					'operator' => '==',
					'value'    => true,
				),
				array(
					'setting'  => 'header_fullscreen_menu',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod',
		array(
			'type'            => 'checkbox',
			'settings'        => 'fullscreen_menu_social_links_counts',
			'label'           => esc_html__( 'Display social counts', 'paper-plane' ),
			'section'         => 'header',
			'default'         => true,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'fullscreen_menu_social_links',
					'operator' => '==',
					'value'    => true,
				),
				array(
					'setting'  => 'header_fullscreen_menu',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);
}

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'custom',
		'settings' => 'color_' . wp_unique_id( 'divider_' ),
		'section'  => 'header',
		'default'  => '<div class="cs-customizer-divider"></div>',
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'checkbox',
		'settings'    => 'navbar_sticky',
		'label'       => esc_html__( 'Make mobile navigation bar sticky', 'paper-plane' ),
		'description' => esc_html__( 'Enabling this option will make navigation bar visible when scrolling.', 'paper-plane' ),
		'section'     => 'header',
		'default'     => true,
		'priority'    => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'            => 'checkbox',
		'settings'        => 'navbar_smart_sticky',
		'label'           => esc_html__( 'Enable the smart sticky feature', 'paper-plane' ),
		'description'     => esc_html__( 'Enabling this option will reveal mobile navigation bar when scrolling up and hide it when scrolling down.', 'paper-plane' ),
		'section'         => 'header',
		'default'         => true,
		'priority'        => 10,
		'active_callback' => array(
			array(
				'setting'  => 'navbar_sticky',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);
