<?php
/**
 * Typography
 *
 * @package Paper Plane
 */

CSCO_Kirki::add_panel(
	'typography',
	array(
		'title'    => esc_html__( 'Typography', 'paper-plane' ),
		'priority' => 30,
	)
);

CSCO_Kirki::add_section(
	'typography_general',
	array(
		'title'    => esc_html__( 'General', 'paper-plane' ),
		'panel'    => 'typography',
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_base',
		'label'    => esc_html__( 'Base Font', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1rem',
			'variant'        => 'regular',
			'letter-spacing' => 'normal',
			'line-height'    => '1.5',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'italic',
					'600',
					'700',
					'700italic',
					'900',
				),
			)
		),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'typography',
		'settings'    => 'font_primary',
		'label'       => esc_html__( 'Primary Font', 'paper-plane' ),
		'description' => esc_html__( 'Used for buttons, and tags and other actionable elements.', 'paper-plane' ),
		'section'     => 'typography_general',
		'default'     => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1rem',
			'variant'        => '600',
			'letter-spacing' => '-0.05em',
			'text-transform' => 'uppsercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'600',
					'700',
				),
			)
		),
		'priority'    => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'typography',
		'settings'    => 'font_secondary',
		'label'       => esc_html__( 'Secondary Font', 'paper-plane' ),
		'description' => esc_html__( 'Used for image captions and other secondary elements.', 'paper-plane' ),
		'section'     => 'typography_general',
		'default'     => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '0.75rem',
			'variant'        => '400',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'600',
					'700',
				),
			)
		),
		'priority'    => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_category',
		'label'    => esc_html__( 'Category Font', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'variant'        => '400',
			'font-size'      => '1.125rem',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_post_meta',
		'label'    => esc_html__( 'Post Meta Font', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'variant'        => '400',
			'font-size'      => '0.875rem',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'600',
					'700',
				),
			)
		),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_input',
		'label'    => esc_html__( 'Input Font', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '0.75rem',
			'variant'        => '400',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_post_content',
		'label'    => esc_html__( 'Post Content Font', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1.125rem',
			'letter-spacing' => 'normal',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'italic',
					'600',
					'700',
					'700italic',
				),
			)
		),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_entry_comment',
		'label'    => esc_html__( 'Entry Comment Font', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '0.875rem',
			'letter-spacing' => 'normal',
			'line-height'    => '1.6',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'italic',
					'600',
					'700',
					'700italic',
				),
			)
		),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_button_load_more',
		'label'    => esc_html__( 'Load More', 'paper-plane' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1.5rem',
			'variant'        => '700',
			'letter-spacing' => '-0.025em',
			'text-transform' => 'none',
		),
		'choices'  => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority' => 10,
	)
);

CSCO_Kirki::add_section(
	'typography_logos',
	array(
		'title'    => esc_html__( 'Logos', 'paper-plane' ),
		'panel'    => 'typography',
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'            => 'typography',
		'settings'        => 'font_main_logo',
		'label'           => esc_html__( 'Main Logo', 'paper-plane' ),
		'description'     => esc_html__( 'The main logo is used in the navigation bar and mobile view of your website.', 'paper-plane' ),
		'section'         => 'typography_logos',
		'default'         => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1.5rem',
			'variant'        => '500',
			'letter-spacing' => 'normal',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'         => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority'        => 10,
		'active_callback' => array(
			array(
				'setting'  => 'logo',
				'operator' => '==',
				'value'    => '',
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'            => 'typography',
		'settings'        => 'font_footer_logo',
		'label'           => esc_html__( 'Footer Logo', 'paper-plane' ),
		'section'         => 'typography_logos',
		'default'         => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1.5rem',
			'variant'        => '500',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'         => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority'        => 10,
		'active_callback' => array(
			array(
				'setting'  => 'logo',
				'operator' => '==',
				'value'    => '',
			),
		),
	)
);

CSCO_Kirki::add_section(
	'typography_headings',
	array(
		'title'    => esc_html__( 'Headings', 'paper-plane' ),
		'panel'    => 'typography',
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_headings',
		'label'    => esc_html__( 'Headings', 'paper-plane' ),
		'section'  => 'typography_headings',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'variant'        => '700',
			'letter-spacing' => '-0.025em',
			'text-transform' => 'none',
			'line-height'    => '1.25',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters(
			'powerkit_fonts_choices',
			array(
				'variant' => array(
					'regular',
					'italic',
					'600',
					'700',
					'700italic',
					'900',
				),
			)
		),
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_page_heading',
		'label'    => esc_html__( 'Homepage and Archive Post Headings', 'paper-plane' ),
		'section'  => 'typography_headings',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'variant'        => '700',
			'letter-spacing' => '-0.025em',
			'text-transform' => 'none',
			'line-height'    => '1.2',
		),
		'choices'  => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority' => 10,
	)
);

CSCO_Kirki::add_section(
	'typography_navigation',
	array(
		'title'    => esc_html__( 'Navigation', 'paper-plane' ),
		'panel'    => 'typography',
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'typography',
		'settings'    => 'font_menu',
		'label'       => esc_html__( 'Menu Font', 'paper-plane' ),
		'description' => esc_html__( 'Used for main top level menu elements.', 'paper-plane' ),
		'section'     => 'typography_navigation',
		'default'     => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '2.25rem',
			'variant'        => '700',
			'letter-spacing' => 'normal',
			'line-height'    => 1,
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority'    => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'        => 'typography',
		'settings'    => 'font_submenu',
		'label'       => esc_html__( 'Submenu Font', 'paper-plane' ),
		'description' => esc_html__( 'Used for submenu elements.', 'paper-plane' ),
		'section'     => 'typography_navigation',
		'default'     => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '1rem',
			'variant'        => '400',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority'    => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'typography',
		'settings' => 'font_footer_menu',
		'label'    => esc_html__( 'Footer Menu Font', 'paper-plane' ),
		'section'  => 'typography_navigation',
		'default'  => array(
			'font-family'    => 'spacegrotesk',
			'font-size'      => '0.875rem',
			'variant'        => '400',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => apply_filters( 'powerkit_fonts_choices', array() ),
		'priority' => 10,
	)
);
