<?php
/**
 * Typography
 *
 * @package Paper Plane
 */

?>

/** Typography */
:root {
	/* Base Font */
	--cs-font-base-family: <?php csco_typography( 'font_base', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-base-size: <?php csco_typography( 'font_base', 'font-size', '1rem' ); ?>;
	--cs-font-base-weight: <?php csco_typography( 'font_base', 'font-weight', '400' ); ?>;
	--cs-font-base-style: <?php csco_typography( 'font_base', 'font-style', 'normal' ); ?>;
	--cs-font-base-letter-spacing: <?php csco_typography( 'font_base', 'letter-spacing', 'normal' ); ?>;
	--cs-font-base-line-height: <?php csco_typography( 'font_base', 'line-height', '1.5' ); ?>;

	/* Primary Font */
	--cs-font-primary-family: <?php csco_typography( 'font_primary', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-primary-size: <?php csco_typography( 'font_primary', 'font-size', '1rem' ); ?>;
	--cs-font-primary-weight: <?php csco_typography( 'font_primary', 'font-weight', '600' ); ?>;
	--cs-font-primary-style: <?php csco_typography( 'font_primary', 'font-style', 'normal' ); ?>;
	--cs-font-primary-letter-spacing: <?php csco_typography( 'font_primary', 'letter-spacing', '-0.05em' ); ?>;
	--cs-font-primary-text-transform: <?php csco_typography( 'font_primary', 'text-transform', 'uppercase' ); ?>;

	/* Secondary Font */
	--cs-font-secondary-family: <?php csco_typography( 'font_secondary', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-secondary-size: <?php csco_typography( 'font_secondary', 'font-size', '0.75rem' ); ?>;
	--cs-font-secondary-weight: <?php csco_typography( 'font_secondary', 'font-weight', '400' ); ?>;
	--cs-font-secondary-style: <?php csco_typography( 'font_secondary', 'font-style', 'normal' ); ?>;
	--cs-font-secondary-letter-spacing: <?php csco_typography( 'font_secondary', 'letter-spacing', 'normal' ); ?>;
	--cs-font-secondary-text-transform: <?php csco_typography( 'font_secondary', 'text-transform', 'none' ); ?>;

	/* Category Font */
	--cs-font-category-family: <?php csco_typography( 'font_category', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-category-size: <?php csco_typography( 'font_category', 'font-size', '1.125rem' ); ?>;
	--cs-font-category-weight: <?php csco_typography( 'font_category', 'font-weight', '400' ); ?>;
	--cs-font-category-style: <?php csco_typography( 'font_category', 'font-style', 'normal' ); ?>;
	--cs-font-category-letter-spacing: <?php csco_typography( 'font_category', 'letter-spacing', 'normal' ); ?>;
	--cs-font-category-text-transform: <?php csco_typography( 'font_category', 'text-transform', 'none' ); ?>;

	/* Post Meta Font */
	--cs-font-post-meta-family: <?php csco_typography( 'font_post_meta', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-post-meta-size: <?php csco_typography( 'font_post_meta', 'font-size', '0.875rem' ); ?>;
	--cs-font-post-meta-weight: <?php csco_typography( 'font_post_meta', 'font-weight', '400' ); ?>;
	--cs-font-post-meta-style: <?php csco_typography( 'font_post_meta', 'font-style', 'normal' ); ?>;
	--cs-font-post-meta-letter-spacing: <?php csco_typography( 'font_post_meta', 'letter-spacing', 'normal' ); ?>;
	--cs-font-post-meta-text-transform: <?php csco_typography( 'font_post_meta', 'text-transform', 'none' ); ?>;

	/* Used for main top level menu elements. */
	--cs-font-menu-family: var(--cs-font-base-family);
	--cs-font-menu-size: 1.25rem;
	--cs-font-menu-weight: 600;
	--cs-font-menu-style: normal;
	--cs-font-menu-letter-spacing: normal;
	--cs-font-menu-text-transform: none;

	/* Input Font */
	--cs-font-input-family: <?php csco_typography( 'font_input', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-input-size: <?php csco_typography( 'font_input', 'font-size', '0.75rem' ); ?>;
	--cs-font-input-weight: <?php csco_typography( 'font_input', 'font-weight', '400' ); ?>;
	--cs-font-input-style: <?php csco_typography( 'font_input', 'font-style', 'normal' ); ?>;
	--cs-font-input-letter-spacing: <?php csco_typography( 'font_input', 'letter-spacing', 'normal' ); ?>;
	--cs-font-input-text-transform: <?php csco_typography( 'font_input', 'text-transform', 'none' ); ?>;

	/* Post Content */
	--cs-font-post-content-family: <?php csco_typography( 'font_post_content', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-post-content-size: <?php csco_typography( 'font_post_content', 'font-size', '1.125rem' ); ?>;
	--cs-font-post-content-letter-spacing: <?php csco_typography( 'font_post_content', 'letter-spacing', 'normal' ); ?>;

	/* Entry comment */
	--cs-font-entry-comment-family: <?php csco_typography( 'font_entry_comment', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-entry-comment-size: <?php csco_typography( 'font_entry_comment', 'font-size', '.875rem' ); ?>;
	--cs-font-entry-comment-letter-spacing: <?php csco_typography( 'font_entry_comment', 'letter-spacing', 'normal' ); ?>;
	--cs-font-entry-comment-line-height: <?php csco_typography( 'font_entry_comment', 'line-height', '1.6' ); ?>;

	/* Logos --------------- */

	/* Main Logo */
	--cs-font-main-logo-family: <?php csco_typography( 'font_main_logo', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-main-logo-size: <?php csco_typography( 'font_main_logo', 'font-size', '1.5rem' ); ?>;
	--cs-font-main-logo-weight: <?php csco_typography( 'font_main_logo', 'font-weight', '500' ); ?>;
	--cs-font-main-logo-style: <?php csco_typography( 'font_main_logo', 'font-style', 'normal' ); ?>;
	--cs-font-main-logo-letter-spacing: <?php csco_typography( 'font_main_logo', 'letter-spacing', 'normal' ); ?>;
	--cs-font-main-logo-text-transform: <?php csco_typography( 'font_main_logo', 'text-transform', 'uppercase' ); ?>;

	/* Footer Logo */
	--cs-font-footer-logo-family: <?php csco_typography( 'font_footer_logo', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-footer-logo-size: <?php csco_typography( 'font_footer_logo', 'font-size', '1.5rem' ); ?>;
	--cs-font-footer-logo-weight: <?php csco_typography( 'font_footer_logo', 'font-weight', '500' ); ?>;
	--cs-font-footer-logo-style: <?php csco_typography( 'font_footer_logo', 'font-style', 'normal' ); ?>;
	--cs-font-footer-logo-letter-spacing: <?php csco_typography( 'font_footer_logo', 'letter-spacing', 'normal' ); ?>;
	--cs-font-footer-logo-text-transform: <?php csco_typography( 'font_footer_logo', 'text-transform', 'none' ); ?>;

	/* Headings --------------- */

	/* Headings */
	--cs-font-headings-family: <?php csco_typography( 'font_headings', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-headings-weight: <?php csco_typography( 'font_headings', 'font-weight', '700' ); ?>;
	--cs-font-headings-style: <?php csco_typography( 'font_headings', 'font-style', 'normal' ); ?>;
	--cs-font-headings-line-height: <?php csco_typography( 'font_headings', 'line-height', '1.25' ); ?>;
	--cs-font-headings-letter-spacing: <?php csco_typography( 'font_headings', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-headings-text-transform: <?php csco_typography( 'font_headings', 'text-transform', 'none' ); ?>;

	/* Menu Font --------------- */

	/* Menu */
	/* Used for main top level menu elements. */
	--cs-font-fullscreen-menu-family: <?php csco_typography( 'font_menu', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-fullscreen-menu-size: <?php csco_typography( 'font_menu', 'font-size', '2.25rem' ); ?>;
	--cs-font-fullscreen-menu-weight: <?php csco_typography( 'font_menu', 'font-weight', '700' ); ?>;
	--cs-font-fullscreen-menu-style: <?php csco_typography( 'font_menu', 'font-style', 'normal' ); ?>;
	--cs-font-fullscreen-menu-line-height: <?php csco_typography( 'font_menu', 'line-height', '1' ); ?>;
	--cs-font-fullscreen-menu-letter-spacing: <?php csco_typography( 'font_menu', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-fullscreen-menu-text-transform: <?php csco_typography( 'font_menu', 'text-transform', 'initial' ); ?>;

	/* Submenu Font */
	/* Used for submenu elements. */
	--cs-font-fullscreen-submenu-family: <?php csco_typography( 'font_submenu', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-fullscreen-submenu-size: <?php csco_typography( 'font_submenu', 'font-size', '1rem' ); ?>;
	--cs-font-fullscreen-submenu-weight: <?php csco_typography( 'font_submenu', 'font-weight', '400' ); ?>;
	--cs-font-fullscreen-submenu-style: <?php csco_typography( 'font_submenu', 'font-style', 'normal' ); ?>;
	--cs-font-fullscreen-submenu-line-height: <?php csco_typography( 'font_submenu', 'line-height', '1' ); ?>;
	--cs-font-fullscreen-submenu-letter-spacing: <?php csco_typography( 'font_submenu', 'letter-spacing', 'normal' ); ?>;
	--cs-font-fullscreen-submenu-text-transform: <?php csco_typography( 'font_submenu', 'text-transform', 'initial' ); ?>;

	/* Footer nav*/
	--cs-font-footer-nav-family: <?php csco_typography( 'font_footer_menu', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-footer-nav-size: <?php csco_typography( 'font_footer_menu', 'font-size', '0.875rem' ); ?>;
	--cs-font-footer-nav-weight: <?php csco_typography( 'font_footer_menu', 'font-weight', '400' ); ?>;
	--cs-font-footer-nav-style: <?php csco_typography( 'font_footer_menu', 'font-style', 'normal' ); ?>;
	--cs-font-footer-nav-letter-spacing: <?php csco_typography( 'font_footer_menu', 'letter-spacing', 'normal' ); ?>;
	--cs-font-footer-nav-text-transform: <?php csco_typography( 'font_footer_menu', 'text-transform', 'none' ); ?>;

	/* Entry Titles */
	--cs-font-entry-title-family: <?php csco_typography( 'font_page_heading', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-entry-title-size: 1.875rem;
	--cs-font-entry-title-weight: <?php csco_typography( 'font_page_heading', 'font-weight', '700' ); ?>;
	--cs-font-entry-title-style: <?php csco_typography( 'font_page_heading', 'font-style', 'normal' ); ?>;
	--cs-font-entry-title-letter-spacing: <?php csco_typography( 'font_page_heading', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-entry-title-text-transform: <?php csco_typography( 'font_page_heading', 'text-transform', 'none' ); ?>;
	--cs-font-entry-title-line-height: <?php csco_typography( 'font_page_heading', 'line-height', '1.2' ); ?>;

	/* Button Load More */
	--cs-font-button-load-more-family: <?php csco_typography( 'font_button_load_more', 'font-family', 'spacegrotesk' ); ?>, sans-serif;
	--cs-font-button-load-more-size: <?php csco_typography( 'font_button_load_more', 'font-size', '1.5rem' ); ?>;
	--cs-font-button-load-more-weight: <?php csco_typography( 'font_button_load_more', 'font-weight', '700' ); ?>;
	--cs-font-button-load-more-style: <?php csco_typography( 'font_button_load_more', 'font-style', 'normal' ); ?>;
	--cs-font-button-load-more-letter-spacing: <?php csco_typography( 'font_button_load_more', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-button-load-more-text-transform: <?php csco_typography( 'font_button_load_more', 'text-transform', 'none' ); ?>;
	--cs-font-button-load-more-line-height: <?php csco_typography( 'font_button_load_more', 'line-height', '1rem' ); ?>;

}

@media screen and (min-width: 720px) {
	:root {
		--cs-font-entry-title-size: 3.75vw;
	}
}

@media screen and (min-width: 1020px) {
	:root {
		--cs-font-entry-title-size: 2.5vw;
	}
}
