<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Paper Plane
 */

get_header();

if ( have_posts() ) {
	?>
	<div class="cs-posts-area">
		<div class="cs-posts-area__outer">
			<div class="cs-posts-area__main cs-archive">
				<?php
				// Start the Loop.
				while ( have_posts() ) {
					the_post();
					get_template_part( 'template-parts/content', 'archive', csco_get_archive_options() );
				}
				?>
			</div>
		</div>

		<?php
		/* Posts Pagination */
		if ( 'standard' === get_theme_mod( csco_get_archive_option( 'pagination_type' ), 'load-more' ) ) {
			?>
			<div class="cs-posts-area__pagination">
				<?php
					the_posts_pagination(
						array(
							'prev_text' => esc_html__( 'Previous', 'paper-plane' ),
							'next_text' => esc_html__( 'Next', 'paper-plane' ),
						)
					);
				?>
			</div>
			<?php
		}
		?>
	</div>
	<?php
} elseif ( ! is_404() ) {
	?>
	<div class="cs-container">
		<div class="entry-content cs-content-not-found">
			<p><?php esc_html_e( 'It seems we cannot find what you are looking for. Perhaps searching can help.', 'paper-plane' ); ?></p>

			<?php get_search_form(); ?>
		</div>
	</div>
	<?php
}

get_footer(); ?>
