<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Paper Plane
 */

$post_class = '';
if ( isset ( $args['classes'] ) ) {
	$post_class = $args['classes'];
}

?>

<article <?php post_class( $post_class ); ?><?php csco_post_attr(); ?>>
	<div class="cs-entry__outer cs-entry__overlay">
		<div class="cs-entry__inner cs-entry__thumbnail">

			<div class="cs-overlay-background">
				<?php if ( has_post_thumbnail() ) { ?>
					<?php the_post_thumbnail( 'csco-large-uncropped' ); ?>
				<?php } ?>
				<?php csco_get_video_background( 'archive' ); ?>
			</div>

		</div>
		<div class="cs-entry__inner cs-overlay-content cs-entry__content">

			<?php csco_get_post_meta( array( 'category' ), false, true, $args['meta'] ); ?>

			<?php the_title( '<h2 class="cs-entry__title cs-entry__title-line"><a href="' . esc_url( get_permalink() ) . '"><span class="cs-entry__title-effect">', '</span></a></h2>' ); ?>

			<?php
			if ( 'post' === get_post_type() ) {
				csco_get_post_meta( array( 'author', 'date', 'views', 'shares', 'comments', 'reading_time' ), false, true, $args['meta'] );
			}
			?>

		</div>

		<a href="<?php echo esc_url( get_permalink() ); ?>" class="cs-overlay-link"></a>

	</div>
</article>
