<?php
/**
 * The template part for displaying post subscribe section.
 *
 * @package Paper Plane
 */

// Subscription.
$subscription_form = get_theme_mod( 'post_subscribe', false );

if ( shortcode_exists( 'powerkit_subscription_form' ) && $subscription_form ) {
	$subscribe_title = get_theme_mod( 'post_subscribe_title', esc_html__( 'Sign Up for Our Newsletters', 'paper-plane' ) );
	$subscribe_text  = get_theme_mod( 'post_subscribe_text', esc_html__( 'Get notified of the best deals on our WordPress themes.', 'paper-plane' ) );
	$subscribe_name  = get_theme_mod( 'post_subscribe_name', false );

	$subscribe_image = wp_get_attachment_image( get_theme_mod( 'post_subscribe_image' ), 'csco-large-uncropped' );

	do_action( 'csco_post_subscribe_before' );

	$scheme = csco_color_scheme(
		get_theme_mod( 'color_subscribe_background', '#003be0' ),
		get_theme_mod( 'color_subscribe_background_dark', '#003be0' )
	);

	$data_color = '#ffffff';
	if ( 'data-scheme="default"' === $scheme ) {
		$data_color = '#000000';
	}

	?>
		<div class="cs-entry__subscribe cs-js-set-header-color" <?php echo wp_kses( $scheme, 'csco' ); ?> data-color="<?php echo esc_attr( $data_color ); ?>">
			<div class="cs-container">
				<div class="cs-site-subscribe__item">
					<div class="cs-site-subscribe__form">

						<?php if ( $subscribe_image ) { ?>
							<div class="cs-site-subscribe__form-bg">
								<?php echo wp_get_attachment_image( get_theme_mod( 'post_subscribe_image' ), 'csco-large-uncropped' ); ?>
							</div>
						<?php } ?>

						<?php if ( $subscribe_title || $subscribe_text ) { ?>
							<div class="cs-site-subscribe__info">
								<?php if ( $subscribe_title ) { ?>
									<h5 class="cs-site-subscribe__title cs-section-heading"><?php echo wp_kses( $subscribe_title, 'csco' ); ?></h5>
								<?php } ?>

								<?php if ( $subscribe_text ) { ?>
									<span class="cs-site-subscribe__info-text"><?php echo wp_kses( $subscribe_text, 'csco' ); ?></span>
								<?php } ?>
							</div>
						<?php } ?>

						<?php echo do_shortcode( sprintf( '[powerkit_subscription_form display_name="%1$s" %2$s="" text=""]', $subscribe_name, 'title' ) ); ?>
					</div>
				</div>
			</div>
		</div>
	<?php
	do_action( 'csco_post_subscribe_after' );
}
