<?php
/**
 * The template for displaying the footer layout
 *
 * @package Paper Plane
 */

$scheme = csco_color_scheme(
	get_theme_mod( 'color_footer_background', '#000000' ),
	get_theme_mod( 'color_footer_background_dark', '#000000' )
);
?>

<footer class="cs-footer" <?php echo wp_kses( $scheme, 'csco' ); ?>>
	<div class="cs-footer__item">
		<div class="cs-container">
			<div class="cs-footer__grid">
				<div class="cs-footer__col  cs-col-left">
					<div class="cs-footer__inner">
						<?php csco_component( 'footer_logo' ); ?>
					</div>
				</div>
				<div class="cs-footer__col cs-footer__col_big cs-col-center">
					<?php csco_component( 'footer_nav_menu' ); ?>
				</div>
				<div class="cs-footer__col cs-col-right">
					<button class="cs-footer__scroll-top cs-js-scroll-top">
						<i class="cs-icon cs-icon-chevron-top-alt"></i>
					</button>
				</div>
			</div>
		</div>
	</div>
	<div class="cs-footer__item">
		<div class="cs-container">
			<div class="cs-footer__grid">
				<div class="cs-footer__col cs-footer__col_big cs-col-left">
					<?php csco_component( 'footer_social_links' ); ?>
					<?php csco_component( 'footer_info' ); ?>
				</div>
				<div class="cs-footer__col cs-footer__col_big cs-col-right ">
					<div class="cs-footer__inner">
						<?php csco_component( 'footer_copyright' ); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</footer>
