<?php
/**
 * The template part for displaying off-canvas area.
 *
 * @package Paper Plane
 */

$scheme = csco_color_scheme(
	get_theme_mod( 'color_search_menu_background', 'rgba(255,255,255,0.95)' ),
	get_theme_mod( 'color_search_menu_background_dark', 'rgba(0,0,0,0.95)' )
);
?>

<div class="cs-fullscreen-menu" <?php echo wp_kses( $scheme, 'csco' ); ?>>

	<div class="cs-fullscreen-menu__header">
		<?php csco_component( 'fullscreen_menu_logo' ); ?>
		<span class="cs-header__fullscreen-menu-toggle" role="button">
			<i class="cs-header__fullscreen-menu-toggle-icon cs-icon cs-icon-x"></i>
		</span>
	</div>

	<div class="cs-fullscreen-menu__inner">
		<div class="cs-container-fluid">

			<div class="cs-fullscreen-menu__row">
				<?php csco_component( 'fullscreen_nav_menu' ); ?>
			</div>

			<div class="cs-fullscreen-menu__bottom-block">

				<div class="cs-fullscreen-menu__info">
					<h5><?php echo esc_html( get_theme_mod( 'fullscreen_menu_copyright_title', get_bloginfo() ) ); ?></h5>
					<div class="cs-fullscreen-menu__info-desc"><?php echo wp_kses( get_theme_mod( 'fullscreen_menu_copyright_text', get_bloginfo( 'description' ) ), 'csco' ); ?></div>
				</div>

				<div class="cs-fullscreen-menu__widgets cs-widget-area">
					<div class="widget powerkit_social_links_widget">
						<div class="widget-body">
							<?php csco_component( 'fullscreen_menu_social_links' ); ?>
						</div>
					</div>
				</div>

			</div>

		</div>
	</div>

</div>
