<?php
/**
 * The template part for displaying site section.
 *
 * @package Paper Plane
 */

$scheme = csco_color_scheme(
	get_theme_mod( 'color_search_menu_background', 'rgba(255,255,255,0.95)' ),
	get_theme_mod( 'color_search_menu_background_dark', 'rgba(0,0,0,0.95)' )
);
?>

<div class="cs-search" <?php echo wp_kses( $scheme, 'csco' ); ?>>

	<div class="cs-search__outer">
		<div class="cs-search__header">
			<?php csco_component( 'search_logo' ); ?>
		</div>

		<div class="cs-search__wrapper">
			<div class="cs-container">
				<form role="search" method="get" class="cs-search__nav-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
					<div class="cs-search__group">
						<button class="cs-search__submit">
							<i class="cs-icon cs-icon-search"></i>
						</button>
						<input data-swpparentel=".cs-search .cs-search-live-result" required class="cs-search__input" data-swplive="true" value="<?php the_search_query(); ?>" name="s" type="search" placeholder="<?php echo esc_attr( get_theme_mod( 'misc_search_placeholder', __( 'Enter Keyword', 'paper-plane' ) ) ); ?>">
						<button class="cs-search__close">
							<i class="cs-icon cs-icon-x"></i>
						</button>
					</div>
				</form>
				<div class="cs-search__content">
					<div class="cs-search-live-result"></div>
				</div>
			</div>
		</div>
	</div>
</div>
